Bug 116515 - chown: 'rpm.rpm': invalid user
Summary: chown: 'rpm.rpm': invalid user
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-22 08:30 UTC by Walker Aumann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-22 21:43:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Walker Aumann 2004-02-22 08:30:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
When upgrading to latest rpm version, using 'yum upgrade', 

...
popt 100 % done 6/94
rpm 100 % done 7/94
/bin/chown: `rpm.rpm': invalid user
gimp-print 100 % done 8/94
pyxf86config 100 % done 9/94
...

Checking in another window, /etc/passwd and /etc/group both know about
rpm now.  

Version-Release number of selected component (if applicable):
rpm-4.3-0.13

How reproducible:
Didn't try

Steps to Reproduce:
1. Upgrade to rpm-4.3-0.13 via 'yum upgrade'
2.
3.
    

Actual Results:  Saw message:
/bin/chown: `rpm.rpm': invalid user

Expected Results:  No error message

Additional info:

Comment 1 Jeff Johnson 2004-02-22 21:43:49 UTC
Both user/group "rpm" (== 37 iirc) are defined in the system accounts
distributed with Red Hat distros, have been for years.

Either install that package, or add the "rpm" user/group
manually before installing/upgrading rpm.

There is a slight chance that your getpwnam and getgrnam 
are failing with "rpm" as well.

Comment 2 Sammy 2004-02-23 01:22:14 UTC
This is a bug reported in devel tree attributed to coreutils. 
Apparently chown user.group format is not working anymore. 
Looking at the chown man page what works is chown user:group. 
If this is a permanent change a number of rpm's need to be updated. 


Note You need to log in before you can comment on or make changes to this bug.